''***************************
''* Propeller Template V1.0 *
''*  Author: Peter Quello   *
''*  Started: 18 JUN 2006   *
''*  Updated: 23 MAR 2007   *
''***************************

CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

VAR
  byte  idx, value, time
OBJ
  pc    :       "serial_terminal"
PUB Start
  pc.start
  pc.putc(12)
  pc.str(string("Hello!"))
  pause(1000)
  pc.putc(12)
  pause(1000)
  repeat
    pc.str(string("Enter time:"))
    pc.putc(13)
    time := pc.rxdec
    value := get_temp(time)
    pc.dec(value)
    pc.putc(13)
    pc.str(string("Enter temp:"))
    pc.putc(13)
    value := pc.rxdec
    set_temp(time, value)
    pause(1000)    
    
PUB Get_Temp(_time) | _value
  repeat idx from 0 to 47
    time := sunday[idx]
    if time == _time
      idx++
      _value := sunday[idx]
  return _value

PUB Set_Temp(_time, temp)
  repeat idx from 0 to 47
    time := sunday[idx]
    if time == _time
      idx++
      bytefill(sunday[idx], temp, 1)
  return
      
PRI Pause(ms) | clkcycles, milisec
  waitcnt(clkfreq / 1000 * ms + cnt)
  return

DAT
sunday  byte  0, 70, 1, 70, 2, 70, 3, 70, 4, 70, 5, 70 
        byte  6, 70, 7, 70, 8, 70, 9, 70, 10, 70, 11, 70
        byte  12, 70, 13, 70, 14, 70, 15, 70, 16, 70, 17, 70 
        byte  18, 70, 19, 70, 20, 70, 21, 70, 22, 70, 23, 70